凉亭未更新或安装

SteB

我一直在尝试使用Bower更新moment.js(及其他几个插件),将mouse.2.8从2.8.4更新到2.9。

我将我的bower.json文件更改为"moment": "2.x"(是〜2.8.3 ,我也尝试了〜2.8 ,然后是2.x),并且bower表示已缓存并验证了该文件,但运行bower list中仍显示2.8.4。

每当我尝试更新或安装时,都会经历我的所有依赖关系。

然后,我卸载了一下moment(有效),但是,Bower不会安装它,bower list给出了moment not installed

我正在运行最新的Bower 1.4.0。

我的bower.json:

{
  "name": "intranet",
  "version": "1.12.35",
  "authors": [
    "SteB"
  ],
  "license": "proprietary",
  "ignore": [
    "**/.*",
    "node_modules",
    "bower_components",
    "test",
    "tests"
  ],
  "dependencies": {
    "jquery": "~2.1",
    "jquery-migrate": "~1.2",
    "modernizr": "~2.8.3",
    "moment": "2.x",
    "respond": "~1.4.2",
    "jquery-ui": "~1.11",
    "chartjs": "~1.0.2",
    "rickshaw": "~1.5.1",
    "gmaps": "~0.4.14",
    "d3": "~3.4.11",
    "bootstrap-modal": "~2.2.5",
    "kbwood_countdown": "~2.0.1",
    "bootstrap": "2.3.2",
    "footable": "2.0.1.5",
    "bootstrap-maxlength": "~1.5.7",
    "flot": "~0.8.3",
    "jqplot": "*",
    "scrollup": "2.4.*",
    "fullcalendar": "1.6.4",
    "bootstrap-switch": "~2.0.5",
    "es5-shim": "~4.1",
    "chosen": "~1.2",
    "platform": "~1.3",
    "fontawesome": "~4.2.0",
    "jquery.steps": "~1.1",
    "jquery-cookie": "~1.4",
    "typeahead.js": "~0.10.5",
    "ladda": "~0.9.7"
  },
  "devDependencies": {},
  "resolutions": {
    "bootstrap": "2.3.2",
    "jquery": "~2.1"
  }
}
尼替丁
  1. 删除以前的“ bower_components”文件夹或在“ .bowerrc”中指定的任何其他目标安装位置
  2. 在下面的bower.json中使用(为空以获取最新版本)
  3. 运行“ bower install”

    {
     "name": "intranet",
      "version": "1.12.35",
      "authors": [
                  "SteB"
                 ],
      "ignore": [
                 "**/.*",
                 "node_modules",
                 "bower_components",
                 "test",
                 "tests"
                ],
       "license": "proprietary",
       "dependencies" : {
                         "jquery": null,
                         "jquery-migrate": null,
                         "modernizr": null,
                         "moment": null,
                         "respond": null,
                         "jquery-ui": null
                       }
     }
    

上面会做的很好。您需要检查yr bcz的其余依赖项,那里的命名似乎不正确

本文收集自互联网,转载请注明来源。

如有侵权,请联系[email protected] 删除。

编辑于
0

我来说两句

0条评论
登录后参与评论

相关文章

来自分类Dev

凉亭安装-失败,原因是ETIMEDOUT

来自分类Dev

通过凉亭安装聚合物冻结

来自分类Dev

如何用凉亭更新脚本?

来自分类Dev

凉亭安装错误

来自分类Dev

无法在Openshift上安装凉亭

来自分类Dev

.bowerrc选项,使安装凉亭时采用--save

来自分类Dev

安装时为什么凉亭挂着?

来自分类Dev

如何用凉亭安装海图

来自分类Dev

从ANT任务执行凉亭更新

来自分类Dev

Composer更新未安装整个Laravel应用

来自分类Dev

安装凉亭后缺少的bower_components文件夹

来自分类Dev

配置凉亭仅安装dist文件夹

来自分类Dev

Bowerstalk安装凉亭

来自分类Dev

如何使用凉亭安装聚合物铁元素?

来自分类Dev

防止凉亭更新角度版本

来自分类Dev

Pod安装未更新XCWorkspace中的Pod

来自分类Dev

XCode 7.3.1更新未安装

来自分类Dev

反应未安装的组件状态更新错误

来自分类Dev

凉亭安装失败,因为我没有安装某些东西

来自分类Dev

凉亭安装错误

来自分类Dev

凉亭安装-失败,原因是ETIMEDOUT

来自分类Dev

.bowerrc选项,使安装凉亭时采用--save

来自分类Dev

如何凉亭安装最新的适用版本?

来自分类Dev

在Windows 7上安装Powershell 3.0-未安装更新

来自分类Dev

Windows 10 Insider版本更新未安装

来自分类Dev

yum更新以“未安装任何密钥”退出

来自分类Dev

安装凉亭时遇到的校验和问题

来自分类Dev

捆绑包更新是否安装之前未安装的gem

来自分类Dev

如何在流星下安装凉亭包?